Summary: LAM/MPI (Local Area Multicomputer) programming environment
Name: lam
Version: 7.1.1
Release: 1tr
License: BSD
Group: Trustix Official
Source: lam-%{version}.tar.bz2
URL: http://www.lam-mpi.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc gcc-c++-devel gcc-c++-runtime
Requires: openssh-server openssh-clients gcc gcc-c++-runtime 

%description
LAM (Local Area Multicomputer) is an MPI programming environment and
development system for heterogeneous computers on a network. With
LAM/MPI, a dedicated cluster or an existing network computing
infrastructure can act as a single parallel computer.  LAM/MPI is
considered to be "cluster friendly", in that it offers daemon-based
process startup/control as well as fast client-to-client message
passing protocols.  LAM/MPI can use TCP/IP and/or shared memory for
message passing

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" \
%configure --with-rsh="/usr/bin/ssh -x -a" --libdir=%{_libdir}\
           --enable-shared --without-fc 
make all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT/%{_mandir}/mans

ln -f romio/COPYRIGHT romio/ROMIO-COPYRIGHT
ln -f romio/doc/README romio/ROMIO-README
ln -f romio/doc/users-guide.ps.gz romio/doc/romio-users-guide.ps.gz 
ln -f romio/README_LAM romio/ROMIO-README_LAM

# Remove wrong doc directory location (files shipped in %doc): 
rm -rf $RPM_BUILD_ROOT%{_datadir}/lam

rm -f $RPM_BUILD_ROOT%{_datadir}/lam/lam-shell-setup.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/lam/lam-shell-setup.csh
rm -f $RPM_BUILD_ROOT%{_datadir}/lam/lam_module.tcl

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc LICENSE HISTORY INSTALL README AUTHORS
%doc romio/ROMIO-COPYRIGHT romio/ROMIO-README romio/ROMIO-README_LAM  
%doc romio/doc/romio-users-guide.ps.gz
%doc doc/user.pdf doc/install.pdf
%doc share/memory/darwin7/APPLE_LICENSE 
%doc share/memory/ptmalloc/ptmalloc-COPYRIGHT share/memory/ptmalloc2/ptmalloc2-COPYRIGHT
%config %{_sysconfdir}
%{_bindir}/*
%{_libdir}/*.so*
%{_mandir}/*/*
%{_includedir}/*
%{_libdir}/*a
%{_libdir}/lam/liblam_totalview.la
%{_libdir}/lam/liblam_totalview.so.0.0.0

%changelog
* Fri Sep 09 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 7.1.1-1tr
- Initial spec file for TSL-3.0

